Bug 977238 - Don't include components.flagtypes unless requested
Don't include components.flagtypes unless requested
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 02:57 EDT by Simon Green
Modified: 2014-10-12 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0005
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 21:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Green 2013-06-24 02:57:53 EDT
Products.get can take a very long time to run when a product has thousands of components. As part of the performance review, it is my recommendation that we exclude components.flagtypes unless this field is explicitly requested (either in include_fields or extra_fields).
Comment 5 Simon Green 2013-07-30 21:32:21 EDT
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.